Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 817063 - [RFE] Add ability to specify bind username/password for LDAP searches
Summary: [RFE] Add ability to specify bind username/password for LDAP searches
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: 991685
TreeView+ depends on / blocked
 
Reported: 2012-04-27 14:46 UTC by Chris St. Pierre
Modified: 2015-02-28 23:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 00:48:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 168 None None None Never

Description Chris St. Pierre 2012-04-27 14:46:08 UTC
Description of problem:

Currently Pulp can only bind anonymously for LDAP searches. This doesn't work against LDAP directories that forbid anonymous bind.

Version-Release number of selected component (if applicable):

1.x

How reproducible:

Always.

Steps to Reproduce:
1. Be cursed with Active Directory, which does not allow anonymous bind.
2. Try to use Pulp's LDAP integration.
3. Shake your fist at Bill Gates for foiling you yet again.
4. Understand that the odds of AD allowing anonymous bind are infinitely smaller than the odds of Pulp adding this feature.
  
Actual results:

You realize that your entire life has been a failure and it's all Bill Gates' and Steve Ballmer's fault.

Expected results:

Unicorns, rainbows, and authenticated binds.

Additional info:

Comment 1 Jay Dobies 2012-05-03 12:45:04 UTC
Aligning to the 1.1 release.

Comment 87 Brian Bouterse 2015-02-19 00:48:26 UTC
Moved to https://pulp.plan.io/issues/168


Note You need to log in before you can comment on or make changes to this bug.